(function (lib, img, cjs) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1917,
	height: 1033,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/Bitmap1.png", id:"Bitmap1"},
		{src:"images/Layer1.png", id:"Layer1"},
		{src:"images/Layer2.png", id:"Layer2"},
		{src:"images/VectorSmartObject.png", id:"VectorSmartObject"},
		{src:"images/VectorSmartObjectcopy.png", id:"VectorSmartObjectcopy"},
		{src:"images/VectorSmartObjectcopy10.png", id:"VectorSmartObjectcopy10"},
		{src:"images/VectorSmartObjectcopy11.png", id:"VectorSmartObjectcopy11"},
		{src:"images/VectorSmartObjectcopy12.png", id:"VectorSmartObjectcopy12"},
		{src:"images/VectorSmartObjectcopy13.png", id:"VectorSmartObjectcopy13"},
		{src:"images/VectorSmartObjectcopy14.png", id:"VectorSmartObjectcopy14"},
		{src:"images/VectorSmartObjectcopy15.png", id:"VectorSmartObjectcopy15"},
		{src:"images/VectorSmartObjectcopy16.png", id:"VectorSmartObjectcopy16"},
		{src:"images/VectorSmartObjectcopy17.png", id:"VectorSmartObjectcopy17"},
		{src:"images/VectorSmartObjectcopy18.png", id:"VectorSmartObjectcopy18"},
		{src:"images/VectorSmartObjectcopy2.png", id:"VectorSmartObjectcopy2"},
		{src:"images/VectorSmartObjectcopy3.png", id:"VectorSmartObjectcopy3"},
		{src:"images/VectorSmartObjectcopy4.png", id:"VectorSmartObjectcopy4"},
		{src:"images/VectorSmartObjectcopy5.png", id:"VectorSmartObjectcopy5"},
		{src:"images/VectorSmartObjectcopy5_1.png", id:"VectorSmartObjectcopy5_1"},
		{src:"images/VectorSmartObjectcopy6.png", id:"VectorSmartObjectcopy6"},
		{src:"images/VectorSmartObjectcopy6_1.png", id:"VectorSmartObjectcopy6_1"},
		{src:"images/VectorSmartObjectcopy6_2.png", id:"VectorSmartObjectcopy6_2"},
		{src:"images/VectorSmartObjectcopy6_3.png", id:"VectorSmartObjectcopy6_3"},
		{src:"images/VectorSmartObjectcopy7.png", id:"VectorSmartObjectcopy7"},
		{src:"images/VectorSmartObjectcopy8.png", id:"VectorSmartObjectcopy8"},
		{src:"images/VectorSmartObjectcopy9.png", id:"VectorSmartObjectcopy9"},
		{src:"images/VectorSmartObject_10.png", id:"VectorSmartObject_10"},
		{src:"images/VectorSmartObject_11.png", id:"VectorSmartObject_11"},
		{src:"images/VectorSmartObject_12.png", id:"VectorSmartObject_12"},
		{src:"images/VectorSmartObject_13.png", id:"VectorSmartObject_13"},
		{src:"images/VectorSmartObject_14.png", id:"VectorSmartObject_14"},
		{src:"images/VectorSmartObject_15.png", id:"VectorSmartObject_15"},
		{src:"images/VectorSmartObject_16.png", id:"VectorSmartObject_16"},
		{src:"images/VectorSmartObject_17.png", id:"VectorSmartObject_17"},
		{src:"images/VectorSmartObject_18.png", id:"VectorSmartObject_18"},
		{src:"images/VectorSmartObject_2.png", id:"VectorSmartObject_2"},
		{src:"images/VectorSmartObject_3.png", id:"VectorSmartObject_3"},
		{src:"images/VectorSmartObject_4.png", id:"VectorSmartObject_4"},
		{src:"images/VectorSmartObject_5.png", id:"VectorSmartObject_5"},
		{src:"images/VectorSmartObject_6.png", id:"VectorSmartObject_6"},
		{src:"images/VectorSmartObject_7.png", id:"VectorSmartObject_7"},
		{src:"images/VectorSmartObject_8.png", id:"VectorSmartObject_8"},
		{src:"images/VectorSmartObject_9.png", id:"VectorSmartObject_9"}
	]
};

// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(916.5,389,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(958.5,516.5,1917,1033);
p.frameBounds = [rect];


// symbols:
(lib.Bitmap1 = function() {
	this.initialize(img.Bitmap1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,150,150);


(lib.Layer1 = function() {
	this.initialize(img.Layer1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1864,946);


(lib.Layer2 = function() {
	this.initialize(img.Layer2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1917,463);


(lib.VectorSmartObject = function() {
	this.initialize(img.VectorSmartObject);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,149,156);


(lib.VectorSmartObjectcopy = function() {
	this.initialize(img.VectorSmartObjectcopy);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,129,175);


(lib.VectorSmartObjectcopy10 = function() {
	this.initialize(img.VectorSmartObjectcopy10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,48,70);


(lib.VectorSmartObjectcopy11 = function() {
	this.initialize(img.VectorSmartObjectcopy11);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,52,67);


(lib.VectorSmartObjectcopy12 = function() {
	this.initialize(img.VectorSmartObjectcopy12);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,56,68);


(lib.VectorSmartObjectcopy13 = function() {
	this.initialize(img.VectorSmartObjectcopy13);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,52,66);


(lib.VectorSmartObjectcopy14 = function() {
	this.initialize(img.VectorSmartObjectcopy14);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,57,69);


(lib.VectorSmartObjectcopy15 = function() {
	this.initialize(img.VectorSmartObjectcopy15);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,51,68);


(lib.VectorSmartObjectcopy16 = function() {
	this.initialize(img.VectorSmartObjectcopy16);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,86,69);


(lib.VectorSmartObjectcopy17 = function() {
	this.initialize(img.VectorSmartObjectcopy17);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,57,68);


(lib.VectorSmartObjectcopy18 = function() {
	this.initialize(img.VectorSmartObjectcopy18);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,47,67);


(lib.VectorSmartObjectcopy2 = function() {
	this.initialize(img.VectorSmartObjectcopy2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,217,133);


(lib.VectorSmartObjectcopy3 = function() {
	this.initialize(img.VectorSmartObjectcopy3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,120,195);


(lib.VectorSmartObjectcopy4 = function() {
	this.initialize(img.VectorSmartObjectcopy4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,150,156);


(lib.VectorSmartObjectcopy5 = function() {
	this.initialize(img.VectorSmartObjectcopy5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,150,156);


(lib.VectorSmartObjectcopy5_1 = function() {
	this.initialize(img.VectorSmartObjectcopy5_1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,149,156);


(lib.VectorSmartObjectcopy6 = function() {
	this.initialize(img.VectorSmartObjectcopy6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,149,156);


(lib.VectorSmartObjectcopy6_1 = function() {
	this.initialize(img.VectorSmartObjectcopy6_1);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,149,156);


(lib.VectorSmartObjectcopy6_2 = function() {
	this.initialize(img.VectorSmartObjectcopy6_2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,150,156);


(lib.VectorSmartObjectcopy6_3 = function() {
	this.initialize(img.VectorSmartObjectcopy6_3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,149,156);


(lib.VectorSmartObjectcopy7 = function() {
	this.initialize(img.VectorSmartObjectcopy7);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,149,156);


(lib.VectorSmartObjectcopy8 = function() {
	this.initialize(img.VectorSmartObjectcopy8);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,149,156);


(lib.VectorSmartObjectcopy9 = function() {
	this.initialize(img.VectorSmartObjectcopy9);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,42,67);


(lib.VectorSmartObject_10 = function() {
	this.initialize(img.VectorSmartObject_10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,113,137);


(lib.VectorSmartObject_11 = function() {
	this.initialize(img.VectorSmartObject_11);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,106,132);


(lib.VectorSmartObject_12 = function() {
	this.initialize(img.VectorSmartObject_12);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,115,140);


(lib.VectorSmartObject_13 = function() {
	this.initialize(img.VectorSmartObject_13);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,181,120);


(lib.VectorSmartObject_14 = function() {
	this.initialize(img.VectorSmartObject_14);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,172,126);


(lib.VectorSmartObject_15 = function() {
	this.initialize(img.VectorSmartObject_15);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,103,138);


(lib.VectorSmartObject_16 = function() {
	this.initialize(img.VectorSmartObject_16);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,176,138);


(lib.VectorSmartObject_17 = function() {
	this.initialize(img.VectorSmartObject_17);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,116,137);


(lib.VectorSmartObject_18 = function() {
	this.initialize(img.VectorSmartObject_18);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,96,134);


(lib.VectorSmartObject_2 = function() {
	this.initialize(img.VectorSmartObject_2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,179,144);


(lib.VectorSmartObject_3 = function() {
	this.initialize(img.VectorSmartObject_3);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,120,195);


(lib.VectorSmartObject_4 = function() {
	this.initialize(img.VectorSmartObject_4);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,159,162);


(lib.VectorSmartObject_5 = function() {
	this.initialize(img.VectorSmartObject_5);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,129,175);


(lib.VectorSmartObject_6 = function() {
	this.initialize(img.VectorSmartObject_6);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,217,133);


(lib.VectorSmartObject_7 = function() {
	this.initialize(img.VectorSmartObject_7);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,84,137);


(lib.VectorSmartObject_8 = function() {
	this.initialize(img.VectorSmartObject_8);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,98,142);


(lib.VectorSmartObject_9 = function() {
	this.initialize(img.VectorSmartObject_9);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,104,136);


(lib.VectorSmartObjectcopy18_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObjectcopy18();
	this.instance.setTransform(-23.5,-33.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-23.5,-33.5,47,67);
p.frameBounds = [rect];


(lib.VectorSmartObjectcopy17_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObjectcopy17();
	this.instance.setTransform(-28.5,-34);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-28.5,-34,57,68);
p.frameBounds = [rect];


(lib.VectorSmartObjectcopy16_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObjectcopy16();
	this.instance.setTransform(-43,-34.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-43,-34.5,86,69);
p.frameBounds = [rect];


(lib.VectorSmartObjectcopy15_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObjectcopy15();
	this.instance.setTransform(-25.5,-34);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-25.5,-34,51,68);
p.frameBounds = [rect];


(lib.VectorSmartObjectcopy14_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObjectcopy14();
	this.instance.setTransform(-28.5,-34.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-28.5,-34.5,57,69);
p.frameBounds = [rect];


(lib.VectorSmartObjectcopy13_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObjectcopy13();
	this.instance.setTransform(-26,-33);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-26,-33,52,66);
p.frameBounds = [rect];


(lib.VectorSmartObjectcopy12_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObjectcopy12();
	this.instance.setTransform(-28,-34);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-28,-34,56,68);
p.frameBounds = [rect];


(lib.VectorSmartObjectcopy11_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObjectcopy11();
	this.instance.setTransform(-26,-33.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-26,-33.5,52,67);
p.frameBounds = [rect];


(lib.VectorSmartObjectcopy10_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObjectcopy10();
	this.instance.setTransform(-24,-35);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-24,-35,48,70);
p.frameBounds = [rect];


(lib.VectorSmartObjectcopy9_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObjectcopy9();
	this.instance.setTransform(-21,-33.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-21,-33.5,42,67);
p.frameBounds = [rect];


(lib.VectorSmartObjectcopy8_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObjectcopy8();
	this.instance.setTransform(-74.5,-78);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-74.5,-78,149,156);
p.frameBounds = [rect];


(lib.VectorSmartObjectcopy7_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObjectcopy7();
	this.instance.setTransform(-74.5,-78);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-74.5,-78,149,156);
p.frameBounds = [rect];


(lib.VectorSmartObjectcopy6_3_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObjectcopy6_3();
	this.instance.setTransform(-74.5,-78);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-74.5,-78,149,156);
p.frameBounds = [rect];


(lib.VectorSmartObjectcopy6_2_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObjectcopy6_2();
	this.instance.setTransform(-75,-78);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-75,-78,150,156);
p.frameBounds = [rect];


(lib.VectorSmartObjectcopy6_1_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObjectcopy6_1();
	this.instance.setTransform(-74.5,-78);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-74.5,-78,149,156);
p.frameBounds = [rect];


(lib.VectorSmartObjectcopy6_4 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObjectcopy6();
	this.instance.setTransform(-74.5,-78);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-74.5,-78,149,156);
p.frameBounds = [rect];


(lib.VectorSmartObjectcopy5_1_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObjectcopy5_1();
	this.instance.setTransform(-74.5,-78);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-74.5,-78,149,156);
p.frameBounds = [rect];


(lib.VectorSmartObjectcopy5_2 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObjectcopy5();
	this.instance.setTransform(-75,-78);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-75,-78,150,156);
p.frameBounds = [rect];


(lib.VectorSmartObjectcopy4_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObjectcopy4();
	this.instance.setTransform(-75,-78);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-75,-78,150,156);
p.frameBounds = [rect];


(lib.VectorSmartObjectcopy3_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObjectcopy3();
	this.instance.setTransform(-60,-97.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-60,-97.5,120,195);
p.frameBounds = [rect];


(lib.VectorSmartObjectcopy2_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObjectcopy2();
	this.instance.setTransform(-108.5,-66.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-108.5,-66.5,217,133);
p.frameBounds = [rect];


(lib.VectorSmartObjectcopy_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObjectcopy();
	this.instance.setTransform(-64.5,-87.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-64.5,-87.5,129,175);
p.frameBounds = [rect];


(lib.VectorSmartObject_18_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObject_18();
	this.instance.setTransform(-48,-67);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-48,-67,96,134);
p.frameBounds = [rect];


(lib.VectorSmartObject_17_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObject_17();
	this.instance.setTransform(-58,-68.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-58,-68.5,116,137);
p.frameBounds = [rect];


(lib.VectorSmartObject_16_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObject_16();
	this.instance.setTransform(-88,-69);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-88,-69,176,138);
p.frameBounds = [rect];


(lib.VectorSmartObject_15_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObject_15();
	this.instance.setTransform(-51.5,-69);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-51.5,-69,103,138);
p.frameBounds = [rect];


(lib.VectorSmartObject_14_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObject_14();
	this.instance.setTransform(-86,-63);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-86,-63,172,126);
p.frameBounds = [rect];


(lib.VectorSmartObject_13_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObject_13();
	this.instance.setTransform(-90.5,-60);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-90.5,-60,181,120);
p.frameBounds = [rect];


(lib.VectorSmartObject_12_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObject_12();
	this.instance.setTransform(-57.5,-70);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-57.5,-70,115,140);
p.frameBounds = [rect];


(lib.VectorSmartObject_11_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObject_11();
	this.instance.setTransform(-53,-66);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-53,-66,106,132);
p.frameBounds = [rect];


(lib.VectorSmartObject_10_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObject_10();
	this.instance.setTransform(-56.5,-68.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-56.5,-68.5,113,137);
p.frameBounds = [rect];


(lib.VectorSmartObject_9_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObject_9();
	this.instance.setTransform(-52,-68);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-52,-68,104,136);
p.frameBounds = [rect];


(lib.VectorSmartObject_8_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObject_8();
	this.instance.setTransform(-49,-71);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-49,-71,98,142);
p.frameBounds = [rect];


(lib.VectorSmartObject_7_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObject_7();
	this.instance.setTransform(-42,-68.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-42,-68.5,84,137);
p.frameBounds = [rect];


(lib.VectorSmartObject_6_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObject_6();
	this.instance.setTransform(-108.5,-66.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-108.5,-66.5,217,133);
p.frameBounds = [rect];


(lib.VectorSmartObject_5_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObject_5();
	this.instance.setTransform(-64.5,-87.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-64.5,-87.5,129,175);
p.frameBounds = [rect];


(lib.VectorSmartObject_4_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObject_4();
	this.instance.setTransform(-79.5,-81);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-79.5,-81,159,162);
p.frameBounds = [rect];


(lib.VectorSmartObject_3_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObject_3();
	this.instance.setTransform(-60,-97.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-60,-97.5,120,195);
p.frameBounds = [rect];


(lib.VectorSmartObject_2_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObject_2();
	this.instance.setTransform(-89.5,-72);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-89.5,-72,179,144);
p.frameBounds = [rect];


(lib.VectorSmartObject_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.VectorSmartObject();
	this.instance.setTransform(-74.5,-78);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-74.5,-78,149,156);
p.frameBounds = [rect];


(lib.Layer2_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Layer2();
	this.instance.setTransform(-958.5,-231.5);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-958.5,-231.5,1917,463);
p.frameBounds = [rect];


(lib.Layer1_1 = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Layer1();
	this.instance.setTransform(-932,-473);

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-932,-473,1864,946);
p.frameBounds = [rect];


(lib.drop = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Bitmap1();

	this.addChild(this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,150,150);
p.frameBounds = [rect];


(lib.gfx_bg = function() {
	this.initialize();

	// Layer 1
	this.instance = new lib.Layer2_1();
	this.instance.setTransform(958.5,231.5);

	this.instance_1 = new lib.Layer1_1();
	this.instance_1.setTransform(974,560);

	this.addChild(this.instance_1,this.instance);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(0,0,1917,1033);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Ustawienia */
		var config = {
			id: '2107',
			title: 'Wyłów wszystkie rybki i ustaw od numeru największego do najmniejszego.',
			type: 'drag',
			container: this,
			align: 'top',
			endsound: null,
			prefix: 'drag_',
			prefix2: 'drop_',
			/*
			groupdrags: {		
				1: ['1','2','3'],
				2: ['4','5','6'],
				3: ['7','8','9']
			},
			groupdrops: {
				1: ['1','2','3'],
				2: ['4','5','6'],
				3: ['7','8','9']
			},
			*/
			results: [
				/*drop_1:*/ '1',
				/*drop_2:*/ '2',
				/*drop_3:*/ '3',
				/*drop_4:*/	'4',
				/*drop_5:*/ '5',
				/*drop_6:*/ '6',
				/*drop_7:*/ '7',
				/*drop_8:*/	'8',
				/*drop_9:*/ '9',
				/*drop_10:*/ '10',
			],
			range: 20,
			alpha: 0,
			alpha2: 0,
			scale: 0.9,
			//rotation: 'auto',
			//size: 'auto',
			zindex: 1,
			exerciseAfterInit: function (container) {
				container['drag_1'].rotate = -80;
				container['drag_3'].rotate = 90;
				container['drag_5'].rotate = -90;
				container['drag_7'].rotate = 90;
				container['drag_8'].rotate = 90;
				container['drag_10'].rotate = 80;
			},
			exerciseBeforeFinish: function () {
				var exerciseId = this.id; 
				var exerciseContainer = this.container;			
				var soundPrefix = 'drop_';
				
				var queue = new createjs.LoadQueue();
				queue.installPlugin(createjs.Sound);	
				createjs.Sound.alternateExtensions = ["ogg"];	
				
				for(var soundName in exerciseContainer) {
					if(soundName.indexOf(soundPrefix) > -1) {				
						var sound = exerciseContainer[soundName];
						var soundId = exerciseId+'_'+soundName.replace(soundPrefix, '');
						var soundSrc = getAssetDir()+'/sounds/'+soundId + '.mp3';
						sound.name = soundName;
						queue.loadFile({id:soundId, src:soundSrc});
					}
				}
			},
			exerciseExtraCheck: function (config, dragCurrent, dropIndex, isCorrect) {
				if(isCorrect === true) {
					createjs.Sound.play(config.id+'_'+(dropIndex+1));  
				}
			},
		}
		
		exerciseOnInit(config);
		
		this.stop();
		
		/*---------------------------------------------------------------------------------------------------------------
		/* Help
		/*---------------------------------------------------------------------------------------------------------------
		 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groupdrags - Lista grup dagow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		groupdrags - Lista grup targetow oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		rotation - Dostosowanie obrotu obiektu do targetu
		scale - Skalowanie obiektu po upuszczeniu
		size - Skalowanie obiektu do rozmiarow targetu
		zindex - Pozycja z obiektu
		/*-------------------------------------------------------------------------------------------------------------*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// drop
	this.drop_1 = new lib.drop();
	this.drop_1.setTransform(1710,111,1,1,0,0,0,75,75);

	this.drop_2 = new lib.drop();
	this.drop_2.setTransform(1538,111,1,1,0,0,0,75,75);

	this.drop_3 = new lib.drop();
	this.drop_3.setTransform(1372,111,1,1,0,0,0,75,75);

	this.drop_4 = new lib.drop();
	this.drop_4.setTransform(1204,111,1,1,0,0,0,75,75);

	this.drop_5 = new lib.drop();
	this.drop_5.setTransform(1044,111,1,1,0,0,0,75,75);

	this.drop_6 = new lib.drop();
	this.drop_6.setTransform(868,111,1,1,0,0,0,75,75);

	this.drop_7 = new lib.drop();
	this.drop_7.setTransform(704,111,1,1,0,0,0,75,75);

	this.drop_8 = new lib.drop();
	this.drop_8.setTransform(536,111,1,1,0,0,0,75,75);

	this.drop_9 = new lib.drop();
	this.drop_9.setTransform(366,111,1,1,0,0,0,75,75);

	this.drop_10 = new lib.drop();
	this.drop_10.setTransform(200,111,1,1,0,0,0,75,75);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.drop_10},{t:this.drop_9},{t:this.drop_8},{t:this.drop_7},{t:this.drop_6},{t:this.drop_5},{t:this.drop_4},{t:this.drop_3},{t:this.drop_2},{t:this.drop_1}]}).wait(1));

	// content
	this.instance = new lib.VectorSmartObjectcopy9_1();
	this.instance.setTransform(1707,232.5);

	this.instance_1 = new lib.VectorSmartObjectcopy18_1();
	this.instance_1.setTransform(1044.5,232.5);

	this.instance_2 = new lib.VectorSmartObjectcopy17_1();
	this.instance_2.setTransform(702.5,232);

	this.instance_3 = new lib.VectorSmartObjectcopy16_1();
	this.instance_3.setTransform(198,231.5);

	this.instance_4 = new lib.VectorSmartObjectcopy15_1();
	this.instance_4.setTransform(362.5,232);

	this.instance_5 = new lib.VectorSmartObjectcopy14_1();
	this.instance_5.setTransform(531.5,231.5);

	this.instance_6 = new lib.VectorSmartObjectcopy13_1();
	this.instance_6.setTransform(872,233);

	this.instance_7 = new lib.VectorSmartObjectcopy12_1();
	this.instance_7.setTransform(1205,232);

	this.instance_8 = new lib.VectorSmartObjectcopy11_1();
	this.instance_8.setTransform(1373,232.5);

	this.instance_9 = new lib.VectorSmartObjectcopy10_1();
	this.instance_9.setTransform(1539,231);

	this.instance_10 = new lib.VectorSmartObjectcopy7_1();
	this.instance_10.setTransform(1539.5,204);

	this.instance_11 = new lib.VectorSmartObjectcopy8_1();
	this.instance_11.setTransform(1706.5,204);

	this.instance_12 = new lib.VectorSmartObjectcopy6_4();
	this.instance_12.setTransform(1372.5,204);

	this.instance_13 = new lib.VectorSmartObjectcopy6_3_1();
	this.instance_13.setTransform(1204.5,204);

	this.instance_14 = new lib.VectorSmartObjectcopy6_2_1();
	this.instance_14.setTransform(1038,204);

	this.instance_15 = new lib.VectorSmartObjectcopy6_1_1();
	this.instance_15.setTransform(870.5,204);

	this.instance_16 = new lib.VectorSmartObjectcopy5_2();
	this.instance_16.setTransform(703,204);

	this.instance_17 = new lib.VectorSmartObjectcopy5_1_1();
	this.instance_17.setTransform(535.5,204);

	this.instance_18 = new lib.VectorSmartObjectcopy4_1();
	this.instance_18.setTransform(369,204);

	this.instance_19 = new lib.VectorSmartObject_1();
	this.instance_19.setTransform(201.5,204);

	this.instance_20 = new lib.VectorSmartObject_18_1();
	this.instance_20.setTransform(769,418);

	this.instance_21 = new lib.VectorSmartObject_17_1();
	this.instance_21.setTransform(1238,652.5);

	this.instance_22 = new lib.VectorSmartObject_16_1();
	this.instance_22.setTransform(970,777);

	this.instance_23 = new lib.VectorSmartObject_15_1();
	this.instance_23.setTransform(1478.5,724);

	this.drag_7 = new lib.VectorSmartObject_14_1();
	this.drag_7.setTransform(1194,689,1,1,0,0,0,-16,8);

	this.drag_5 = new lib.VectorSmartObject_13_1();
	this.drag_5.setTransform(830.6,455,1,1,0,0,0,20.1,12);

	this.instance_24 = new lib.VectorSmartObject_12_1();
	this.instance_24.setTransform(788.5,624);

	this.instance_25 = new lib.VectorSmartObject_11_1();
	this.instance_25.setTransform(233,478);

	this.instance_26 = new lib.VectorSmartObject_10_1();
	this.instance_26.setTransform(1124.5,425.5);

	this.instance_27 = new lib.VectorSmartObject_9_1();
	this.instance_27.setTransform(503,695);

	this.instance_28 = new lib.VectorSmartObject_8_1();
	this.instance_28.setTransform(479,438);

	this.instance_29 = new lib.VectorSmartObject_7_1();
	this.instance_29.setTransform(1521,463.5);

	this.drag_10 = new lib.VectorSmartObjectcopy2_1();
	this.drag_10.setTransform(893.5,799.5,1,1,0,0,0,-32,-4);

	this.drag_1 = new lib.VectorSmartObject_6_1();
	this.drag_1.setTransform(1591.5,497.5,1,1,0,0,0,28,4);

	this.drag_6 = new lib.VectorSmartObjectcopy_1();
	this.drag_6.setTransform(297.5,559.5);

	this.drag_4 = new lib.VectorSmartObject_5_1();
	this.drag_4.setTransform(1096.5,484.5);

	this.drag_8 = new lib.VectorSmartObject_4_1();
	this.drag_8.setTransform(731.5,651);

	this.drag_9 = new lib.VectorSmartObjectcopy3_1();
	this.drag_9.setTransform(1427,772.5);

	this.drag_2 = new lib.VectorSmartObject_3_1();
	this.drag_2.setTransform(528,424.5);

	this.drag_3 = new lib.VectorSmartObject_2_1();
	this.drag_3.setTransform(425.5,724,1,1,0,0,0,-26,-8);

	this.instance_30 = new lib.gfx_bg();
	this.instance_30.setTransform(958.5,516.5,1,1,0,0,0,958.5,516.5);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_30},{t:this.drag_3},{t:this.drag_2},{t:this.drag_9},{t:this.drag_8},{t:this.drag_4},{t:this.drag_6},{t:this.drag_1},{t:this.drag_10},{t:this.instance_29},{t:this.instance_28},{t:this.instance_27},{t:this.instance_26},{t:this.instance_25},{t:this.instance_24},{t:this.drag_5},{t:this.drag_7},{t:this.instance_23},{t:this.instance_22},{t:this.instance_21},{t:this.instance_20},{t:this.instance_19},{t:this.instance_18},{t:this.instance_17},{t:this.instance_16},{t:this.instance_15},{t:this.instance_14},{t:this.instance_13},{t:this.instance_12},{t:this.instance_11},{t:this.instance_10},{t:this.instance_9},{t:this.instance_8},{t:this.instance_7},{t:this.instance_6},{t:this.instance_5},{t:this.instance_4},{t:this.instance_3},{t:this.instance_2},{t:this.instance_1},{t:this.instance}]}).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(0,0,1917,1033);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{});
var lib, images, createjs;